#include<bits/stdc++.h>

using namespace std;

main(){
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	long long x,n,sec1=0,sec2=0,min=1000000000,max=0;
	cin>>n>>x;
	long long poz[n];
	for(int i=0;i<n;i++){
		cin>>poz[i];
		if(poz[i]>max)max=poz[i];
		if(poz[i]<min)min=poz[i];
	}
	if(n!=1){
		sec2+=abs(max-x);
    	sec2+=abs(max-min);
    	sec1+=abs(min-x);
    	sec1+=abs(min-max);
    }
    else cout<<abs(poz[0]-poz[1]);
    if(sec1>sec2)cout<<sec2;
    else cout<<sec1;
}